Name:           eclipse-mylyn-fedora-integration
Version:        1.0.4
Release:        5%{?dist}
Summary:        Eclipse Mylyn Fedora Integration

Group:          Development/Tools
License:        EPL
URL:            https://fedorahosted.org/Eclipse-Mylyn-Fedora-Integration/
Source0:        https://git.fedorahosted.org/cgit/Eclipse-Mylyn-Fedora-Integration.git/snapshot/Eclipse-Mylyn-Fedora-Integration-%{version}.tar.xz
BuildArch: noarch

BuildRequires: eclipse-mylyn-tasks-bugzilla >= 3.7.0
BuildRequires: tycho
BuildRequires: eclipse-license
Requires: eclipse-mylyn-tasks-bugzilla >= 3.7.0

%description
Integrates Eclipse Mylyn with Fedora ecosystem by providing possibility to
report bugs and enhancements directly from within Eclipse.

%prep
%setup -q -n Eclipse-Mylyn-Fedora-Integration-%{version}
pushd plugins/org.fedoraproject.eclipse.mylyn.support/
    VER=`echo "%{?dist}" | sed 's/.fc//'`
    sed -i "s/@version@/${VER}/" plugin.xml
popd

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Dec 3 2014 Alexander Kurtakov <akurtako@redhat.com> 1.0.4-1
- Update to 1.0.4 release.
- Build with mvn_build/mvn_install.

* Wed Jul 2 2014 Alexander Kurtakov <akurtako@redhat.com> 1.0.3-1
- Update to 1.0.3 release.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-0.6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-0.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-0.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 12 2012 Krzysztof Daniel <kdaniel@redhat.com> 1.0.2-0.2
- Update file ownership.

* Wed May 2 2012 Krzysztof Daniel <kdaniel@redhat.com> 1.0.2-0.1
- Fixed bug 917830 - Submit failed: invalide severity [...] 'enhancement'.

* Wed Apr 25 2012 Krzysztof Daniel <kdaniel@redhat.com> 1.0.1-0.1
- Fix review issues.
- Enabled xmlrpc.
- Set bugzilla version to 3.6

* Mon Apr 23 2012 Krzysztof Daniel <kdaniel@redhat.com> 1.0.0-0.1
- Initial build.
